## ros-noetic-velodyne-laserscan 1.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(velodyne_laserscan)

# Set minimum C++ standard to C++11
if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_STANDARD 11)
endif()

find_package(catkin REQUIRED COMPONENTS
  roscpp
  nodelet
  sensor_msgs
  dynamic_reconfigure
  roslint
)

generate_dynamic_reconfigure_options(
  cfg/VelodyneLaserScan.cfg
)

catkin_package(CATKIN_DEPENDS
  sensor_msgs
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/velodyne_laserscan.cpp
  src/nodelet.cpp
)
add_dependencies(${PROJECT_NAME}
  ${PROJECT_NAME}_gencfg
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(${PROJECT_NAME}_node
  src/node.cpp
)
target_link_libraries(${PROJECT_NAME}_node
  ${catkin_LIBRARIES}
  ${PROJECT_NAME}
)

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(FILES nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

roslint_cpp()

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
ros-noetic-velodyne-laserscan (1.7.0-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Fri, 08 Jul 2022 05:00:00 -0000

ros-noetic-velodyne-laserscan (1.6.1-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Mon, 09 Nov 2020 06:00:00 -0000

ros-noetic-velodyne-laserscan (1.6.0-1focal) focal; urgency=high

  * Updating maintainer email address.
  * Add laserscan support for new PointXYZIR structure (#316 <https://github.com/ros-drivers/velodyne/issues/316>)
    * Add laserscan support for new PointXYZIR structure
    * Support PointCloud2 offsets that are multiples of 4
  * Merge pull request #234 <https://github.com/ros-drivers/velodyne/issues/234> from kmhallen/c++11
    Set minimum C++ standard to C++11
  * Contributors: Joshua Whitley, Kevin Hallenbeck, Matthew Pitropov, Sebastian, Sebastian Pütz

 -- Josh Whitley <josh.whitley@autoware.org>  Thu, 09 Jul 2020 05:00:00 -0000

ros-noetic-velodyne-laserscan (1.5.2-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Mon, 28 Jan 2019 06:00:00 -0000

ros-noetic-velodyne-laserscan (1.5.1-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Mon, 10 Dec 2018 06:00:00 -0000

ros-noetic-velodyne-laserscan (1.5.0-1focal) focal; urgency=high



 -- Josh Whitley <josh.whitley@autoware.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-noetic-velodyne-laserscan (1.4.0-1focal) focal; urgency=high

  * Merge pull request #170 <https://github.com/ros-drivers/velodyne/issues/170> from ros-drivers/maint/move_header_files
  * Moving header files to traditional location inside include folders.
  * Merge pull request #160 <https://github.com/ros-drivers/velodyne/issues/160> from ros-drivers/maint/updating_package_xml_to_v2
  * Updated all package.xmls to ver 2. Cleaned up catkin_lint errors.
    All package.xml files are now compatible with version 2 of the
    package.xml specification in REP 140. Removed some unnecessary
    execute permissions on a few files. Fixed a missing test_depend.
  * Merge pull request #146 <https://github.com/ros-drivers/velodyne/issues/146> from stsundermann/patch-2
    Use std::abs instead of fabsf
  * Merge pull request #150 <https://github.com/ros-drivers/velodyne/issues/150> from ros-drivers/mikaelarguedas-patch-1
  * update to use non deprecated pluginlib macro
  * Use std::abs instead of fabsf
    cfg_.resolution is double but fabsf takes a float which may cause truncation of value.
  * Contributors: Andre Volk, CNR, Joshua Whitley, Mikael Arguedas, Stephan Sundermann

 -- Josh Whitley <josh.whitley@autoware.org>  Wed, 19 Sep 2018 05:00:00 -0000

ros-noetic-velodyne-laserscan (1.3.0-1focal) focal; urgency=high

  * Merge pull request #110 <https://github.com/ros-drivers/velodyne/issues/110> from kmhallen/master
    Added velodyne_laserscan package
  * Added tests for velodyne_laserscan
  * Fixed validating PointCloud2 field types
  * Package.xml format version 2
  * Merge pull request #1 <https://github.com/ros-drivers/velodyne/issues/1> from volkandre/master
    Fixed bug. Laserscans now cover full 360 degrees.
  * Fixed bug. Laserscans now cover full 360 degrees.
  * Added velodyne_laserscan package and inserted into existing launch files
  * Contributors: Joshua Whitley, Kevin Hallenbeck, kmhallen, volkandre

 -- Josh Whitley <josh.whitley@autoware.org>  Fri, 10 Nov 2017 06:00:00 -0000

=== debian/control ===
Source: ros-noetic-velodyne-laserscan
Section: misc
Priority: optional
Maintainer: Josh Whitley <josh.whitley@autoware.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslaunch <!nocheck>, ros-noetic-roslint, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs
Homepage: http://ros.org/wiki/velodyne_laserscan
Standards-Version: 3.9.2

Package: ros-noetic-velodyne-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: Extract a single ring of a Velodyne PointCloud2 and publish it as a LaserScan message

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-velodyne-laserscan//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
